Bug 1128485 - Very slow disk performance in virtual machine.
Summary: Very slow disk performance in virtual machine.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zeeshan Ali
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 19:15 UTC by Mikhail
Modified: 2016-09-20 01:42 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:00:34 UTC


Attachments (Terms of Use)
screenshot of HD Tune Pro running at boxes (632.30 KB, image/png)
2014-08-10 19:15 UTC, Mikhail
no flags Details
screenshot of task manager (632.01 KB, image/png)
2014-08-10 19:17 UTC, Mikhail
no flags Details
screenshot device manager + HDDTune (257.03 KB, image/png)
2014-08-12 02:10 UTC, Mikhail
no flags Details
screenshot device manager (237.89 KB, image/png)
2014-08-22 18:55 UTC, Mikhail
no flags Details
gnome-boxes vs virt-manager screenshot (424.76 KB, image/png)
2014-08-23 15:52 UTC, Mikhail
no flags Details
win7 no virtio (237.53 KB, image/png)
2014-08-26 18:09 UTC, Mikhail
no flags Details

Description Mikhail 2014-08-10 19:15:00 UTC
Created attachment 925568 [details]
screenshot of HD Tune Pro running at boxes

Description of problem:
Very slow disk performance in virtual machine.

As you can see we have low reading speed when we read filled disk space.


Guest: Windows 8.1

Comment 1 Mikhail 2014-08-10 19:17:55 UTC
Created attachment 925569 [details]
screenshot of task manager

Comment 2 Zeeshan Ali 2014-08-11 13:22:40 UTC
I would guess this is due to lack of virtio drivers.

Comment 3 Mikhail 2014-08-12 02:10:50 UTC
Created attachment 925894 [details]
screenshot device manager + HDDTune

Comment 4 Mikhail 2014-08-12 02:14:49 UTC
Where can I get these drivers? I get drivers from here http://alt.fedoraproject.org/pub/alt/virtio-win/latest/images/bin And they do not seem to work.

Comment 5 Zeeshan Ali 2014-08-22 12:25:42 UTC
(In reply to Mikhail from comment #4)
> Where can I get these drivers? I get drivers from here
> http://alt.fedoraproject.org/pub/alt/virtio-win/latest/images/bin And they
> do not seem to work.

What does that mean exactly? In any case this is not really my bug. Re-assigning..

Comment 6 Vadim Rozenfeld 2014-08-22 13:10:13 UTC
(In reply to Mikhail from comment #4)
> Where can I get these drivers? I get drivers from here
> http://alt.fedoraproject.org/pub/alt/virtio-win/latest/images/bin And they
> do not seem to work.

Hi Mikhail,
What do you mean by "do not seem to work"?
Did you specify any of virtio storage device (either blk or scsi) and
failed to install the relevant mini-port device driver? Or you managed
to install any of those drivers but they didn't perform well?

Thanks,
Vadim.

Comment 7 Mikhail 2014-08-22 18:54:56 UTC
I see in Windows Device Manager "VirtIO Balloon Driver" and "VirtIO-Serial Driver" is work, but "Rad Hat VirtIO SCSI controller" marked as non worked device.

Comment 8 Mikhail 2014-08-22 18:55:32 UTC
Created attachment 929740 [details]
screenshot device manager

Comment 10 Mikhail 2014-08-23 10:58:58 UTC
As you can see "Red Hat VirtIO SCSI controller" and "Red Hat VirtIO Ethernet Adapter" not works for me :(

Comment 11 Vadim Rozenfeld 2014-08-23 12:53:53 UTC
(In reply to Mikhail from comment #10)
> As you can see "Red Hat VirtIO SCSI controller" and "Red Hat VirtIO Ethernet
> Adapter" not works for me :(

Well, we don't install virtio drivers on top of ide or realtek device. We need
to add virtio-net, virtio-blk, and/or virtio-scsi device first and then install netkvm, viostor/vioscsi device drivers on top of virtio devices.

Comment 12 Mikhail 2014-08-23 12:59:57 UTC
Vadim, I understand correctly that the virtio-net, virtio-blk, and virtio-scsi device's can not be added via gnome-boxes GUI?

Comment 13 Mike Cao 2014-08-23 15:08:23 UTC
Hi, Reporter
Pls provide following infomation
1.host info  (uname -r)
2.qemu-kvm/seabios/qemu-kvm/rhev info mation (rpm -q qemu-kvm seabios)
3.qemu-kvm commandline ( ps -eaf|grep qemu-kvm)
4.virtio-win-prewhql build link you get

Mike

Comment 14 Mikhail 2014-08-23 15:50:46 UTC
(In reply to Mike Cao from comment #13)
> Hi, Reporter
> Pls provide following infomation
> 1.host info  (uname -r)
# uname -r
3.15.10-200.fc20.x86_64+debug

> 2.qemu-kvm/seabios/qemu-kvm/rhev info mation (rpm -q qemu-kvm seabios)
# rpm -q qemu-kvm seabios
qemu-kvm-1.6.2-7.fc20.x86_64
package seabios is not installed

> 3.qemu-kvm commandline ( ps -eaf|grep qemu-kvm)
# ps -eaf|grep qemu-kvm
root      6072  3833  0 21:46 pts/4    00:00:00 grep --color=auto qemu-kvm

but

# ps -eaf|grep qemu-system
qemu      5101     1 18 21:39 ?        00:01:27 /usr/bin/qemu-system-x86_64 -machine accel=kvm -name fedora20 -S -machine pc-i440fx-1.6,accel=kvm,usb=off -cpu Haswell -m 1024 -realtime mlock=off -smp 1,sockets=1,cores=1,threads=1 -uuid 70a66b48-a1b3-40e5-a2ef-42c95443d274 -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/fedora20.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc,driftfix=slew -global kvm-pit.lost_tick_policy=discard -no-hpet -no-reboot -global PIIX4_PM.disable_s3=1 -global PIIX4_PM.disable_s4=1 -device nec-usb-xhci,id=usb,bus=pci.0,addr=0x5 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x6 -drive file=/home/mikhail/fedora20.img,if=none,id=drive-virtio-disk0,format=qcow2 -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x7,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=2 -drive file=/home/mikhail/Downloads/Workstation-21-Alpha-T2-i386-netinst.iso,if=none,id=drive-ide0-0-0,readonly=on,format=raw -device ide-cd,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -netdev tap,fd=23,id=hostnet0,vhost=on,vhostfd=24 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:0c:11:e3,bus=pci.0,addr=0x3 -chardev socket,id=charchannel0,path=/var/lib/libvirt/qemu/channel/target/fedora20.org.qemu.guest_agent.0,server,nowait -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=org.qemu.guest_agent.0 -chardev spicevmc,id=charchannel1,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=2,chardev=charchannel1,id=channel1,name=com.redhat.spice.0 -chardev pty,id=charconsole0 -device virtconsole,chardev=charconsole0,id=console0 -device usb-tablet,id=input0 -spice port=5900,addr=127.0.0.1,disable-ticketing,seamless-migration=on -device qxl-vga,id=video0,ram_size=67108864,vram_size=67108864,bus=pci.0,addr=0x2 -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -chardev spicevmc,id=charredir0,name=usbredir -device usb-redir,chardev=charredir0,id=redir0 -chardev spicevmc,id=charredir1,name=usbredir -device usb-redir,chardev=charredir1,id=redir1 -chardev spicevmc,id=charredir2,name=usbredir -device usb-redir,chardev=charredir2,id=redir2 -chardev spicevmc,id=charredir3,name=usbredir -device usb-redir,chardev=charredir3,id=redir3 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x8
mikhail   5947     1 41 21:45 ?        00:00:31 /usr/bin/qemu-system-x86_64 -machine accel=kvm -name boxes-unknown -S -machine pc-i440fx-1.6,accel=kvm,usb=off -cpu host -m 2073 -realtime mlock=off -smp 8,sockets=1,cores=4,threads=2 -uuid b5ee4589-3dcc-4cf2-b230-a6b5ce0a7569 -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/home/mikhail/.config/libvirt/qemu/lib/boxes-unknown.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc,driftfix=slew -global kvm-pit.lost_tick_policy=discard -no-reboot -global PIIX4_PM.disable_s3=1 -global PIIX4_PM.disable_s4=1 -device ich9-usb-ehci1,id=usb,bus=pci.0,addr=0x5.0x7 -device ich9-usb-uhci1,masterbus=usb.0,firstport=0,bus=pci.0,multifunction=on,addr=0x5 -device ich9-usb-uhci2,masterbus=usb.0,firstport=2,bus=pci.0,addr=0x5.0x1 -device ich9-usb-uhci3,masterbus=usb.0,firstport=4,bus=pci.0,addr=0x5.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x6 -device usb-ccid,id=ccid0 -drive file=/home/mikhail/.local/share/gnome-boxes/images/boxes-unknown,if=none,id=drive-ide0-0-0,format=qcow2,cache=none -device ide-hd,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=2 -drive file=/home/mikhail/Downloads/WINDOWS.8.1.RTM.X86 & X64.VOLUME.WITH.ROLLUP-1.RUSSIAN/MICROSOFT.WINDOWS.8.1.ENTERPRISE.RTM.X86.WITH.ROLLUP-1.RUSSIAN.DVD-WZT/ru_windows_8_1_enterprise_x86_dvd_2972339.iso,if=none,id=drive-ide0-1-0,readonly=on,format=raw -device ide-cd,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0,bootindex=1 -netdev tap,fd=23,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:3b:de:3e,bus=pci.0,addr=0x3 -chardev spicevmc,id=charsmartcard0,name=smartcard -device ccid-card-passthru,chardev=charsmartcard0,id=smartcard0,bus=ccid0.0 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -device usb-tablet,id=input0 -spice port=5901,addr=127.0.0.1,disable-ticketing,image-compression=off,seamless-migration=on -device qxl-vga,id=video0,ram_size=67108864,vram_size=67108864,bus=pci.0,addr=0x2 -device AC97,id=sound0,bus=pci.0,addr=0x4 -chardev spicevmc,id=charredir0,name=usbredir -device usb-redir,chardev=charredir0,id=redir0 -chardev spicevmc,id=charredir1,name=usbredir -device usb-redir,chardev=charredir1,id=redir1 -chardev spicevmc,id=charredir2,name=usbredir -device usb-redir,chardev=charredir2,id=redir2 -chardev spicevmc,id=charredir3,name=usbredir -device usb-redir,chardev=charredir3,id=redir3 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x7

> 4.virtio-win-prewhql build link you get
http://alt.fedoraproject.org/pub/alt/virtio-win/latest/images/bin/virtio-win-0.1-81.iso

Comment 15 Mikhail 2014-08-23 15:52:30 UTC
Created attachment 929931 [details]
gnome-boxes vs virt-manager screenshot

Comment 16 Mikhail 2014-08-23 15:53:37 UTC
I don't know how enable virtio in gnome-boxes, but I can it do in virt-manager.


So I think it's problem of gnome-boxes.

Thanks!

Comment 17 Mike Cao 2014-08-25 05:45:41 UTC
(In reply to Mikhail from comment #16)
> I don't know how enable virtio in gnome-boxes, but I can it do in
> virt-manager.
> 
> 
There are two qemu-system process,Could you tell me which one can maps to screenshot in comment #8 ?

Regarding to the screenshot in comment#8, I think the driver is not installed property
What's more ,I found user install virtio-scsi driver for virtio-blk-pci,
Pls retest it on an clean guest . (if you are using virtio-blk-pci, pls install the driver from <virtio-win-89.iso>\win8\amd64\viostor.inf

Comment 18 Mikhail 2014-08-25 06:29:06 UTC
(In reply to Mike Cao from comment #17)
> (In reply to Mikhail from comment #16)
> > I don't know how enable virtio in gnome-boxes, but I can it do in
> > virt-manager.
> > 
> > 
> There are two qemu-system process,Could you tell me which one can maps to
> screenshot in comment #8 ?
> 

First process running under virt-manager, second process from gnome-boxes.

> Regarding to the screenshot in comment#8, I think the driver is not
> installed property
> What's more ,I found user install virtio-scsi driver for virtio-blk-pci,
> Pls retest it on an clean guest . (if you are using virtio-blk-pci, pls
> install the driver from <virtio-win-89.iso>\win8\amd64\viostor.inf

And I report that under virt-manager I can enable virtio  comment #15, but VM which runned under gnome-boxes still have slow disk performance.

Comment 19 Mike Cao 2014-08-25 06:34:43 UTC
(In reply to Mikhail from comment #18)
> (In reply to Mike Cao from comment #17)
> > (In reply to Mikhail from comment #16)
> > > I don't know how enable virtio in gnome-boxes, but I can it do in
> > > virt-manager.
> > > 
> > > 
> > There are two qemu-system process,Could you tell me which one can maps to
> > screenshot in comment #8 ?
> > 
> 
> First process running under virt-manager, second process from gnome-boxes.
> 
> > Regarding to the screenshot in comment#8, I think the driver is not
> > installed property
> > What's more ,I found user install virtio-scsi driver for virtio-blk-pci,
> > Pls retest it on an clean guest . (if you are using virtio-blk-pci, pls
> > install the driver from <virtio-win-89.iso>\win8\amd64\viostor.inf
> 
> And I report that under virt-manager I can enable virtio  comment #15, but
> VM which runned under gnome-boxes still have slow disk performance.

So do you mean there is no disk performance issue if you use virtio-blk-pci ,right ? 
If so I would like to move this bug to qemu-kvm component,regarding to there is no way to switch disk type to virtio on gnome-box you can open RFE bug 

Thanks,
Mike

Comment 20 Mikhail 2014-08-25 06:42:55 UTC
> So do you mean there is no disk performance issue if you use virtio-blk-pci ,right ?

Yes

And I first create this bug on gnome-boxes. And I ask gnome-box maintainer why not works virtio drivers in guest system, but   Comment #4  instead of answering that it impossible in gnome-boxes at present time, he reassign this problem on virtio-win as a result I learned virt-manager.

Comment 21 Mike Cao 2014-08-25 06:56:15 UTC
(In reply to Mikhail from comment #20)
> > So do you mean there is no disk performance issue if you use virtio-blk-pci ,right ?
> 
> Yes
> 
> And I first create this bug on gnome-boxes. And I ask gnome-box maintainer
> why not works virtio drivers in guest system, but   Comment #4  instead of
> answering that it impossible in gnome-boxes at present time, he reassign
> this problem on virtio-win as a result I learned virt-manager.

Thanks for update。
Based on above ,there is performance issue on ide-drive instead of virtio-blk-pci
Move this bug to qemu-kvm component。
I am new to gnome-box ,We can open a RFE bug if gnome-box can not add virtio-blk-pci device (I remember gnome-box developer asked how about virtio-win long time ago which make me presume it support virtio-blk-pci ald)

Mike

Comment 22 Zeeshan Ali 2014-08-26 15:07:54 UTC
(In reply to Mike Cao from comment #21)
>
> I am new to gnome-box ,We can open a RFE bug if gnome-box can not add
> virtio-blk-pci device (I remember gnome-box developer asked how about
> virtio-win long time ago which make me presume it support virtio-blk-pci ald)

Unlike virt-manager, Boxes is intended to be simple and elegent and thus focus is on getting things working out of the box. Boxes automatically downloads and install virtio drivers for win xp and 7 for you when you go for 'express installation' option. It therefore assumes virtio to be supported and sets up virtio disk instead of IDE.

However, I failed to find a way to make this automatic installation of virtio drivers to work for windows 8. IIRC the issue is that win8 just wont accept unsigned drivers and we only have unsigned drivers available.

Comment 23 Zeeshan Ali 2014-08-26 15:11:49 UTC
(In reply to Mikhail from comment #20)
> > So do you mean there is no disk performance issue if you use virtio-blk-pci ,right ?
> 
> Yes
> 
> And I first create this bug on gnome-boxes. And I ask gnome-box maintainer
> why not works virtio drivers in guest system, but   Comment #4  instead of
> answering that it impossible in gnome-boxes at present time, he reassign
> this problem on virtio-win as a result I learned virt-manager.

They are both connected. Its impossible in Boxes to setup virtio disk because we don't have signed virtio drivers and win8 won't let us install unsigned drivers. Even in win7 case, we have to put the OS in test mode to be able to install these unsigned drivers.

Comment 24 Mikhail 2014-08-26 18:08:46 UTC
(In reply to Zeeshan Ali from comment #23)
> 
> They are both connected. Its impossible in Boxes to setup virtio disk
> because we don't have signed virtio drivers and win8 won't let us install
> unsigned drivers. Even in win7 case, we have to put the OS in test mode to
> be able to install these unsigned drivers.

1) If they both connected this mean manually instaled virtio drivers should work?

2) I am correctly understand that under win7 virtio drivers drivers must be automatically installed? I am just checked this and not saw virtio drivers on my clean just installed windows 7.

Comment 25 Mikhail 2014-08-26 18:09:38 UTC
Created attachment 931073 [details]
win7 no virtio

Comment 26 Mike Cao 2014-08-27 02:51:03 UTC
(In reply to Mikhail from comment #24)
> (In reply to Zeeshan Ali from comment #23)
> > 
> > They are both connected. Its impossible in Boxes to setup virtio disk
> > because we don't have signed virtio drivers and win8 won't let us install
> > unsigned drivers. Even in win7 case, we have to put the OS in test mode to
> > be able to install these unsigned drivers.
> 
> 1) If they both connected this mean manually instaled virtio drivers should
> work?
> 
> 2) I am correctly understand that under win7 virtio drivers drivers must be
> automatically installed? I am just checked this and not saw virtio drivers
> on my clean just installed windows 7.

According to the strategy , virito-win driver signed by Microsoft is  shipped via RHN to RHEL/RHEV customers only, virtio-win driver signed by Redhat is shipped via fedora website to make sure everyone can visit.

Regarding to virtio-win driver signed by Red hat ,you can install it automatically by following steps
%WINDIR%\System32\cmd /c certutil -addstore -f TrustedPublisher 
%WINDIR%\System32\cmd /c pnputil.exe -i -a <driver>.inf

If following commands does not work ,report a bug agaist Fedora virtio-win component

Thanks,
Mike

Comment 27 Mike Cao 2014-08-27 02:55:58 UTC
(In reply to Zeeshan Ali from comment #23)
> (In reply to Mikhail from comment #20)
> > > So do you mean there is no disk performance issue if you use virtio-blk-pci ,right ?
> > 
> > Yes
> > 
> > And I first create this bug on gnome-boxes. And I ask gnome-box maintainer
> > why not works virtio drivers in guest system, but   Comment #4  instead of
> > answering that it impossible in gnome-boxes at present time, he reassign
> > this problem on virtio-win as a result I learned virt-manager.
> 
> They are both connected. Its impossible in Boxes to setup virtio disk
> because we don't have signed virtio drivers and win8 won't let us install

I did not get this point ,Is it a limitation on gnome-box ?ASAIK windows os do not have such limitation

Mike

> unsigned drivers. Even in win7 case, we have to put the OS in test mode to
> be able to install these unsigned drivers.

Comment 28 Mikhail 2014-08-31 11:07:01 UTC
(In reply to Mike Cao from comment #26)
> (In reply to Mikhail from comment #24)
> > (In reply to Zeeshan Ali from comment #23)
> > > 
> > > They are both connected. Its impossible in Boxes to setup virtio disk
> > > because we don't have signed virtio drivers and win8 won't let us install
> > > unsigned drivers. Even in win7 case, we have to put the OS in test mode to
> > > be able to install these unsigned drivers.
> > 
> > 1) If they both connected this mean manually instaled virtio drivers should
> > work?
> > 
> > 2) I am correctly understand that under win7 virtio drivers drivers must be
> > automatically installed? I am just checked this and not saw virtio drivers
> > on my clean just installed windows 7.
> 
> According to the strategy , virito-win driver signed by Microsoft is 
> shipped via RHN to RHEL/RHEV customers only, virtio-win driver signed by
> Redhat is shipped via fedora website to make sure everyone can visit.
> 
> Regarding to virtio-win driver signed by Red hat ,you can install it
> automatically by following steps
> %WINDIR%\System32\cmd /c certutil -addstore -f TrustedPublisher 


Sorry, but you advice is not working :(

Microsoft Windows [Version 6.1.7601]
Copyright (c) 2009 Microsoft Corporation.  All rights reserved.

C:\Users\w7>%WINDIR%\System32\cmd /c certutil -addstore -f TrustedPublisher
Expected at least 2 args, received 1
CertUtil: Missing argument

Usage:
  CertUtil [Options] -addstore CertificateStoreName InFile
  Add certificate to store
    CertificateStoreName -- Certificate store name.  See -store.
    InFile -- Certificate or CRL file to add to store.

Options:
  -f                -- Force overwrite
  -enterprise       -- Use local machine Enterprise registry certificate store
  -user             -- Use HKEY_CURRENT_USER keys or certificate store
  -GroupPolicy      -- Use Group Policy certificate store
  -gmt              -- Display times as GMT
  -seconds          -- Display times with seconds and milliseconds
  -v                -- Verbose operation
  -privatekey       -- Display password and private key data
  -dc DCName                -- Target a specific Domain Controller

CertUtil -?              -- Display a verb list (command list)
CertUtil -addstore -?    -- Display help text for the "addstore" verb
CertUtil -v -?           -- Display all help text for all verbs

Comment 32 Zeeshan Ali 2014-09-03 14:15:02 UTC
(In reply to Mike Cao from comment #27)
> (In reply to Zeeshan Ali from comment #23)
> > (In reply to Mikhail from comment #20)
> > > > So do you mean there is no disk performance issue if you use virtio-blk-pci ,right ?
> > > 
> > > Yes
> > > 
> > > And I first create this bug on gnome-boxes. And I ask gnome-box maintainer
> > > why not works virtio drivers in guest system, but   Comment #4  instead of
> > > answering that it impossible in gnome-boxes at present time, he reassign
> > > this problem on virtio-win as a result I learned virt-manager.
> > 
> > They are both connected. Its impossible in Boxes to setup virtio disk
> > because we don't have signed virtio drivers and win8 won't let us install
> 
> I did not get this point ,Is it a limitation on gnome-box ?ASAIK windows os
> do not have such limitation

Yes but only because we do not have signed (by Microsoft) drivers upstream and I failed to find a way to tell win8 to accept non-signed drivers.

Comment 33 Zeeshan Ali 2014-09-03 14:24:25 UTC
(In reply to Mikhail from comment #16)
> I don't know how enable virtio in gnome-boxes, but I can it do in
> virt-manager.
> 
> 
> So I think it's problem of gnome-boxes.

virt-manager is a power-user tool that allows you to enable virtio (or whatever you want) even if guest does not have virtio support. If you already have created the VM without virtio, it is true that Boxes can't help you then. All that is fine and one can always use virt-manager to do advanced stuff but what I'd want to have in Boxes is automatic download and installation of virtio drivers as part of express installation and for that I'd need either a way to disable signature requirement or signed drivers. I'll give a try to what Mike suggested in a private (for some reason) comment.

Comment 34 Mike Cao 2014-09-03 15:15:09 UTC
(In reply to Zeeshan Ali from comment #32)
> (In reply to Mike Cao from comment #27)
> > (In reply to Zeeshan Ali from comment #23)
> > > (In reply to Mikhail from comment #20)
> > > > > So do you mean there is no disk performance issue if you use virtio-blk-pci ,right ?
> > > > 
> > > > Yes
> > > > 
> > > > And I first create this bug on gnome-boxes. And I ask gnome-box maintainer
> > > > why not works virtio drivers in guest system, but   Comment #4  instead of
> > > > answering that it impossible in gnome-boxes at present time, he reassign
> > > > this problem on virtio-win as a result I learned virt-manager.
> > > 
> > > They are both connected. Its impossible in Boxes to setup virtio disk
> > > because we don't have signed virtio drivers and win8 won't let us install
> > 
> > I did not get this point ,Is it a limitation on gnome-box ?ASAIK windows os
> > do not have such limitation
> 
> Yes but only because we do not have signed (by Microsoft) drivers upstream
> and I failed to find a way to tell win8 to accept non-signed drivers.

It is a block/scsi driver bug.I Will ping you after it fixed

Mike

Comment 35 Ronen Hod 2014-10-05 10:29:58 UTC
Mike Cao, I assign this BZ to you for now.

Comment 36 Mike Cao 2014-10-08 14:47:41 UTC
(In reply to Ronen Hod from comment #35)
> Mike Cao, I assign this BZ to you for now.

Ronen  ,I move the but to qemu component as the reporter claims ide performance is very slow.Do you plan to fix it?

I can do noting else but  noticing when the siguature issue fixed 

Mike

Comment 37 Mikhail 2014-10-08 15:17:16 UTC
Hi

Another question if problem only in signature
I don't understand how installed VirtIO Balloon Driver and VirtIO-Serial Driver
It you can see at screenshot: https://bugzilla.redhat.com/attachment.cgi?id=929740

Comment 38 Vadim Rozenfeld 2014-10-09 06:59:28 UTC
(In reply to Mikhail from comment #37)
> Hi
> 
> Another question if problem only in signature
> I don't understand how installed VirtIO Balloon Driver and VirtIO-Serial
> Driver
> It you can see at screenshot:
> https://bugzilla.redhat.com/attachment.cgi?id=929740

Looks like you have them installed already. Under the system devices category,
just between UMBus and timer.

Comment 39 Mike Cao 2014-10-17 06:37:31 UTC
(In reply to Mike Cao from comment #36)
> (In reply to Ronen Hod from comment #35)
> > Mike Cao, I assign this BZ to you for now.
> 
> Ronen  ,I move the but to qemu component as the reporter claims ide
> performance is very slow.Do you plan to fix it?
> 
> I can do noting else but  noticing when the siguature issue fixed 
> 
> Mike

I have verified that virtio-win-prewhql-92 fixed the signature issue on win8/win8.1 64 bit guests

Nothing I can do for now ,reassign to Ronen.

Mike

Comment 40 Ronen Hod 2014-10-17 16:10:55 UTC
Zeeshan,

Back to you with signed drivers. I hope that it will now be possible to use them.

Comment 47 Fedora End Of Life 2015-05-29 12:36:13 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 48 Fedora End Of Life 2015-06-29 22:00:34 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.